<ng-container *transloco="let t; read: 'profile'">
  <button
    mat-button
    color="primary"
    class="mat-button-small"
    [matMenuTriggerFor]="menu">
    <div class="language">
      <mat-icon>language</mat-icon>
      <span>{{t('language')}}</span>
      <mat-icon>expand_more</mat-icon>
    </div>
  </button>
  <mat-menu #menu="matMenu">
    <ng-container *ngFor="let l of availLang">
      <button
        mat-menu-item
        (click)="languageSelected(l)">
          <mat-icon [ngClass]="l.id===currentLang ? '' : 'hidden'">check</mat-icon>
          {{l.label}}
      </button>
    </ng-container>
  </mat-menu>
</ng-container>
